Foreman - Feature #3939

add option to 'inherit from parent’ for hostgroup attributes
01/02/2014 02:00 PM - Joseph Magen

Status: Closed

Priority: Normal

Assignee: Joseph Magen

Category: Host creation

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Related issues:

Related to Foreman - Bug #4596: cannot change parent of hostgroup Closed 03/08/2014
Related to Foreman - Bug #7921: Inherit environment from parent shows all Pup... New 10/13/2014
Has duplicate Foreman - Bug #2874: Unable to unassign a PTable from a Hostgroup Duplicate 08/02/2013
Has duplicate Foreman - Feature #2705: Host Groups, Inherit settings from par... Duplicate 06/25/2013
Has duplicate Foreman - Bug #3834: Host group inheritance doesn't work. Duplicate 12/09/2013

Associated revisions

Revision 34897490 - 02/17/2014 11:15 PM - Joseph Magen

fixes #3939 - add option to 'inherit from parent' for hostgroup attributes

History

#1 - 01/12/2014 12:01 PM - Joseph Magen

- Subject changed from refactor DRY implementation of "inherit from parent" id for hostgroup, hardware profile, loc/org to refactor DRY implementation
of 'inherit from parent' for hostgroup attributes

#2 - 01/12/2014 01:45 PM - Joseph Magen

- Subject changed from refactor DRY implementation of 'inherit from parent' for hostgroup attributes to add option to 'inherit from parent' for hostgroup
attributes

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 01/15/2014 02:35 PM - Joseph Magen
- Status changed from Assigned to Ready For Testing

merge after 1.4 is branched, in Sprint 20
https://github.com/theforeman/foreman/pull/1155

#4 - 02/17/2014 11:15 PM - Dominic Cleal
- Category set to Host creation
- Target version set to 1.9.1

- translation missing: en.field_release set to 4

#5 - 02/17/2014 11:31 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/1155

Applied in changeset 348974905b520190ebdfc171f4c8a3a14f25¢1d0.

#6 - 03/11/2014 11:54 AM - Dominic Cleal
- Has duplicate Bug #2874: Unable to unassign a PTable from a Hostgroup added

#7 - 03/11/2014 12:47 PM - Dominic Cleal
- Related to Bug #4596: cannot change parent of hostgroup added

#8 - 06/06/2014 05:32 PM - Dominic Cleal

- Has duplicate Feature #2705: Host Groups, Inherit settings from parent group when creating a nested host group. added

#9 - 08/06/2014 04:24 AM - Dominic Cleal
- Has duplicate Bug #3834: Host group inheritance doesn't work. added

#10 - 10/13/2014 10:34 AM - Dominic Cleal

- Related to Bug #7921: Inherit environment from parent shows all Puppet classes on a host group added
